<?php
/**
 * @file
 * TODO: Enter file description here.
 */

/**
 * Implementation of hook_views_handlers().
 */
function distros_views_handlers() {
    return array(
            'info' => array(
                    'path' => drupal_get_path('module', 'distros'),
            ),
            'handlers' => array(
                    'distros_handler_field_distro_quote' => array(
                            'parent' => 'views_handler_field',
                    ),
            ),
    );
}


/**
 * Implementation of hook_views_data().
 */
function distros_views_data() {
    $data = array();

    $data['distros']['table'] = array(
            'group' => 'distros',
            'title' => 'title?',
            'help' => 'help'
    );

    $data['distros']['table']['base'] = array(
            'field' => 'id',
            'title' => 'Distro',
            'help' => 'This is distro main table',
    );

    $data['distros']['name'] = array(
        'field' => array(
            'title' => 'distro name',
            'help' => 'This is distro main table',
            ),
    );

    $data['distros']['quote'] = array(
        'field' => array(
            'title' => 'Quote from Linus',
            'help' => 'This is non-database field',
            'handler' => 'distros_handler_field_distro_quote',
            ),
    );

    return $data;
}

